Description

System->General Setup already supports 4 DNS servers, which get passed to DHCP clients if DNS Forwarder is not enabled and no

specific DNS are entered in the DHCP DNS Server boxes. So there is no problem with the underlying DHCP Server giving out 4 DNS

Servers.

For some reason the DHCP setup GUI only has 2 boxes for DNS servers.

This forum post is looking to be able to specify 4 DNS servers to DHCP: https://forum.pfsense.org/index.php?topic=82485.0

It seems a simple bit of code cut-and-paste to have 4 boxes in the DHCP setup GUI and follow that through to the implementation. I

am happy to do the mindless code hack if it would be accepted as useful.

History

#1 - 10/06/2014 11:01 AM - Phillip Davis

and OpenVPN server GUI has boxes to provide up to 4 DNS servers to clients, so it seems reasonable/consistent to have 4 boxes for DNS on the

DHCP server GUI also.

#2 - 10/06/2014 12:54 PM - Chris Buechler

That's reasonable Phil, feel free to submit that as a merge request to master.

#3 - 02/18/2015 09:46 PM - Phillip Davis

This was implemented for 2.2-RELEASE by commit: https://github.com/pfsense/pfsense/commit/3b5707db5bd1ea4d886b41f86bca7481b0485f16

Working for me.

#4 - 02/20/2015 01:51 PM - Chris Buechler

- Status changed from New to Resolved

thanks Phil
